public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Smith" <matthew@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/mold/
Date: Tue,  8 Mar 2022 08:18:14 +0000 (UTC)	[thread overview]
Message-ID: <1646727464.4be88220fb4edad35bf8e8f10aa74b1fb03435b0.matthew@gentoo> (raw)

commit:     4be88220fb4edad35bf8e8f10aa74b1fb03435b0
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  8 08:17:44 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Tue Mar  8 08:17:44 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4be88220

sys-devel/mold: add 1.1.1

Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 sys-devel/mold/Manifest          |  1 +
 sys-devel/mold/mold-1.1.1.ebuild | 81 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sys-devel/mold/Manifest b/sys-devel/mold/Manifest
index 585e6bd1feb1..5e79aa2e22f9 100644
--- a/sys-devel/mold/Manifest
+++ b/sys-devel/mold/Manifest
@@ -1,2 +1,3 @@
 DIST mold-1.0.3.tar.gz 4501162 BLAKE2B 68db6708ae05b3a4caf19bff8b381c9a7d045b7313e15ee9c0765042ef02898404527735a8f5379a2d213a7654f656cfe24eb20497d6d4f5e9ed666988050733 SHA512 50b4a80c8b7a4925e6e85a35e92529867648df61ca016ee662b3fce7cf9d4a8fd717311ec0542aa594f44b49d48de34d51d7e94cae0f21bda01fdd4418990f38
+DIST mold-1.1.1.tar.gz 4530297 BLAKE2B 78f3beee1b463b3ca028fd72ecf92deb9e8848a4f9cb07c7c549666ef3fef038f395dd30e755be2807dc504b4c3f4893ca359154de9c944c2a03e04f37f5ccea SHA512 981d9737ed7a23134b9bafc04db0cd0233ab4fd588a3b250688dba64936fe84f6736168379fc3e4485273bcef11bca70e5c426b043b5d8b9775ae1cd3aea5b52
 DIST mold-1.1.tar.gz 4522886 BLAKE2B 6c63c171a6da090c3db391fa90e0095b2ab6f995e1d23be0dd93bb3057b3b9e5f5cf1deab5c80f6db3fa58bab69195a07a7e972373b9f1e633687cb8d4d45361 SHA512 b8b125c77563abe2741c2f32d73ab2b12dff275b92b633fcd015336c6ea735e38e95c3d2afb50e5baace2023d4f9de3eb50d53053eabc2cd2f045110eef4cc1e

diff --git a/sys-devel/mold/mold-1.1.1.ebuild b/sys-devel/mold/mold-1.1.1.ebuild
new file mode 100644
index 000000000000..351ef38c6b51
--- /dev/null
+++ b/sys-devel/mold/mold-1.1.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A Modern Linker"
+HOMEPAGE="https://github.com/rui314/mold"
+if [[ ${PV} == 9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/rui314/mold.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/rui314/mold/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="AGPL-3"
+SLOT="0"
+
+# Try again after 1.0 (nearly there, but path-related issues)
+# https://github.com/rui314/mold/issues/137
+RESTRICT="test"
+
+RDEPEND=">=dev-cpp/tbb-2021.4.0:=
+	sys-libs/zlib
+	!kernel_Darwin? (
+		>=dev-libs/mimalloc-2:=
+		dev-libs/openssl:=
+	)"
+# As of 1.1, xxhash is now a header-only dep, but it's now bundled :(
+# TODO: restore SYSTEM_XXHASH upstream?
+DEPEND="${RDEPEND}"
+
+pkg_pretend() {
+	# Requires a c++20 compiler, see #831473
+	if [[ ${MERGE_TYPE} != binary ]]; then
+		if tc-is-gcc && [[ $(gcc-major-version) -lt 10 ]]; then
+			die "${PN} needs at least gcc 10"
+		elif tc-is-clang && [[ $(clang-major-version) -lt 12 ]]; then
+			die "${PN} needs at least clang 12"
+		fi
+	fi
+}
+
+src_prepare() {
+	default
+
+	# Needs unpackaged dwarfdump
+	rm test/elf/{compress-debug-sections,compressed-debug-info}.sh || die
+}
+
+src_compile() {
+	tc-export CC CXX
+
+	emake \
+		CFLAGS="${CFLAGS}" \
+		CXXFLAGS="${CXXFLAGS}" \
+		SYSTEM_TBB=1 \
+		SYSTEM_MIMALLOC=1 \
+		STRIP="true" \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_test() {
+	emake \
+		SYSTEM_TBB=1 \
+		SYSTEM_MIMALLOC=1 \
+		check
+}
+
+src_install() {
+	emake \
+		SYSTEM_TBB=1 \
+		SYSTEM_MIMALLOC=1 \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}/usr" \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		STRIP="true" \
+		install
+}


             reply	other threads:[~2022-03-08  8:18 UTC|newest]

Thread overview: 112+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-08  8:18 Matthew Smith [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-12  3:49 [gentoo-commits] repo/gentoo:master commit in: sys-devel/mold/ Sam James
2024-12-09  5:47 Arthur Zamarin
2024-12-09  5:32 Sam James
2024-12-09  5:32 Sam James
2024-12-08 23:45 Sam James
2024-11-14 18:41 Sam James
2024-10-11  3:39 Sam James
2024-10-08 16:32 Sam James
2024-10-04  6:08 Sam James
2024-10-04  6:08 Sam James
2024-09-18  2:46 Sam James
2024-08-29  8:13 Jakov Smolić
2024-08-16 17:14 Sam James
2024-08-12 18:53 Sam James
2024-08-10 18:33 Sam James
2024-06-24  0:32 Sam James
2024-06-24  0:32 Sam James
2024-05-03  6:36 Sam James
2024-04-30  7:03 Sam James
2024-04-29  2:46 Sam James
2024-03-16  0:20 Sam James
2024-03-01  7:55 Sam James
2023-12-05 13:39 Matthew Smith
2023-12-04  7:32 Sam James
2023-12-03 16:34 Arthur Zamarin
2023-11-30  3:49 Sam James
2023-11-15 10:39 Sam James
2023-11-15 10:39 Sam James
2023-11-13  4:35 Sam James
2023-11-13  4:35 Sam James
2023-11-13  3:28 Sam James
2023-11-13  2:11 Sam James
2023-11-04 13:50 Sam James
2023-11-04 13:50 Sam James
2023-10-21 17:48 Sam James
2023-09-27 13:29 Arthur Zamarin
2023-09-24 15:44 Arthur Zamarin
2023-09-24 14:25 Arthur Zamarin
2023-09-24 13:43 Jakov Smolić
2023-09-24  9:02 WANG Xuerui
2023-09-24  9:02 WANG Xuerui
2023-09-24  7:30 Sam James
2023-09-02 12:04 Sam James
2023-08-24 18:22 Matthew Smith
2023-08-23 16:36 WANG Xuerui
2023-08-13  5:18 Sam James
2023-08-09  3:11 Sam James
2023-07-27  7:35 Sam James
2023-04-25 14:02 Arthur Zamarin
2023-04-19  6:26 Sam James
2023-03-16 23:51 Sam James
2023-03-16 23:51 Sam James
2023-03-04 11:16 Arthur Zamarin
2023-01-23  7:25 Georgy Yakovlev
2023-01-23  7:25 Georgy Yakovlev
2023-01-22  6:04 Sam James
2023-01-21 11:17 Matthew Smith
2023-01-14 23:22 Sam James
2023-01-14 23:22 Sam James
2023-01-13 13:50 Sam James
2023-01-05  0:38 Sam James
2022-12-30  7:32 Sam James
2022-11-19  3:19 Sam James
2022-11-15 20:19 Matthew Smith
2022-11-15 20:19 Matthew Smith
2022-11-11 11:39 Matthew Smith
2022-11-11 11:39 Matthew Smith
2022-11-10  9:44 Matthew Smith
2022-10-28  3:41 Jakov Smolić
2022-10-22  8:36 Matthew Smith
2022-09-30  8:20 Matthew Smith
2022-09-30  8:20 Matthew Smith
2022-09-23  1:35 Sam James
2022-09-09  9:48 Matthew Smith
2022-09-09  9:48 Matthew Smith
2022-08-26 10:46 Sam James
2022-08-20  8:26 Matthew Smith
2022-08-20  8:26 Matthew Smith
2022-08-19 17:56 Matthew Smith
2022-08-08 18:08 Matthew Smith
2022-07-28 10:17 Sam James
2022-07-26  4:26 Sam James
2022-07-02 23:29 Sam James
2022-07-02 23:29 Sam James
2022-06-29  7:34 Matthew Smith
2022-06-26 12:54 Matthew Smith
2022-06-26 12:54 Matthew Smith
2022-05-04 23:28 Sam James
2022-04-28 16:43 Matthew Smith
2022-04-28 16:43 Matthew Smith
2022-04-15 12:39 Matthew Smith
2022-04-15 12:39 Matthew Smith
2022-03-14 12:26 Sam James
2022-03-08 19:54 Matthew Smith
2022-02-22 21:06 Matthew Smith
2022-02-21  7:27 Matthew Smith
2022-02-21  2:49 Sam James
2022-02-10  7:50 Sam James
2022-02-04 11:21 Fabian Groffen
2022-01-23 15:51 Sam James
2022-01-01  1:26 Sam James
2022-01-01  1:26 Sam James
2021-12-20  5:08 Sam James
2021-12-20  4:08 Sam James
2021-12-16  1:28 Sam James
2021-12-15  7:50 Sam James
2021-12-15  7:50 Sam James
2021-12-15  2:11 Sam James
2021-12-15  1:58 Sam James
2021-12-14 11:14 Sam James
2021-12-14  2:48 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1646727464.4be88220fb4edad35bf8e8f10aa74b1fb03435b0.matthew@gentoo \
    --to=matthew@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox